#!/usr/bin/perl

push @rpm, 'make-3.79.1-ipl6mdk.i586.rpm';
push @rpm, 'kernel-headers-common-1.0-alt2.noarch.rpm';
push @rpm, 'kernel24-headers-2.4.20-alt5.i586.rpm';
push @rpm, 'glibc-devel-2.2.6-alt0.6.i586.rpm';
push @rpm, 'libbfd-2.13.90.0.4-alt2.i586.rpm';
push @rpm, 'binutils-2.13.90.0.4-alt2.i586.rpm';
push @rpm, 'pkgconfig-0.15.0-alt1.i586.rpm';
push @rpm, 'cpp3.2-3.2.1-alt2.i586.rpm';
push @rpm, 'gcc3.2-3.2.1-alt2.i586.rpm';
push @rpm, 'libstdc++3.2-devel-3.2.1-alt2.i586.rpm';
push @rpm, 'gcc3.2-c++-3.2.1-alt2.i586.rpm';

push @rpm, 'zlib-devel-1.1.4-alt2.i586.rpm';
push @rpm, 'libpng3-devel-1.2.4-alt5.i586.rpm';
push @rpm, 'libjpeg-devel-6b-ipl18mdk.i586.rpm';
push @rpm, 'libjpeg-utils-6b-ipl18mdk.i586.rpm';
push @rpm, 'freetype2-devel-2.1.2-alt2.i586.rpm';

$| = 1;
$fglrx = 0;
$DFB_FS = 0;
$Clanbomber = 0;

print 'Do you installed ATI Driver 3.9.0 on XFree86 4.2.0 [Y/N/E - exit]? ';
$str = <STDIN>; chomp $str;
if (length($str) > 0) {
	$str = substr($str,0,1);
        $fglrx = 1 if $str eq 'y' || $str eq 'Y';
        exit if $str eq 'e' || $str eq 'E';
} else { $fglrx = 1; }

print 'Do you installed DirectFB and FusionSound [Y/N/E - exit]? ';
$str = <STDIN>; chomp $str;
if (length($str) > 0) {
	$str = substr($str,0,1);
        $DFB_FS = 1 if $str eq 'y' || $str eq 'Y';
        exit if $str eq 'e' || $str eq 'E';
} else { $DFB_FS = 1; }

print 'Do you installed Clanbomber [Y/N/E - exit]? ';
$str = <STDIN>; chomp $str;
if (length($str) > 0) {
	$str = substr($str,0,1);
        $Clanbomber = 1 if $str eq 'y' || $str eq 'Y';
        exit if $str eq 'e' || $str eq 'E';
} else { $Clanbomber = 1; }


foreach $rpms (@rpm) {
        print $rpms,'... ';
        system 'rpm -i '.$rpms;
        print "installed\n";
}
chdir '/usr/src/';
system 'ln -s /usr/lib/kernel/include include';

if ($fglrx == 1) {
        print "Install ATI Driver 3.9.0 on XFree86 4.2.0... ";
        chdir $ENV{'PWD'};
        system 'rpm -i --force fglrx-4.2.0-3.9.0.i386.rpm';
        print "installed\n";
}
if ($DFB_FS == 1) {
        print "Install DirectFB... ";
        mkdir '/root/SetALTM/';
        chdir $ENV{'PWD'};
        system 'tar -zxf DirectFB-0.9.20.tar.gz -C /root/SetALTM/';
        chdir '/root/SetALTM/DirectFB-0.9.20/';
        system 'sh configure';
        system 'make';
        system 'make install';
        chdir '/usr/X11R6/lib/';
	system 'ln -s /usr/local/lib/libdirectfb-0.9.so.20.0.0 libdirectfb-0.9.so.20';
        print "installed\n";

        print "Install FusionSound... ";
        chdir $ENV{'PWD'};
        system 'tar -zxf FusionSound-0.9.19.tar.gz -C /root/SetALTM/';
        chdir '/root/SetALTM/FusionSound-0.9.19/';
        $ENV{'PKG_CONFIG_PATH'} = '/usr/local/lib/pkgconfig';
	system 'sh configure';
        system 'make';
        system 'make install';
        print "installed\n";
}
if ($Clanbomber == 1) {
        print "Install Clanbomber (setup in /usr/local/bin/)... ";
        mkdir '/root/SetALTM/';
        chdir $ENV{'PWD'};
        system 'tar -zxf clanbomber2-0.9.tar.gz -C /root/SetALTM/';
        chdir '/root/SetALTM/clanbomber2-0.9/';
        $ENV{'PKG_CONFIG_PATH'} = '/usr/local/lib/pkgconfig';
	system 'sh configure';
        system 'make';
        system 'make install';
        print "installed\n";
}
print "<<<<<<<<<<  ((((:))))  >>>>>>>>>>\n";
print "Change-over ATI Driver 3.9.0 on XFree86 4.2.0 - command: fglrxconfig\n" if $fglrx == 1;
